#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QStyle>
#include <QPushButton>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->labelInfo->setPixmap(style()->standardPixmap(QStyle::SP_MessageBoxInformation));
    ui->labelCritical->setPixmap(style()->standardPixmap(QStyle::SP_MessageBoxCritical));
    ui->labelQuestion->setPixmap(style()->standardPixmap(QStyle::SP_MessageBoxQuestion));
    ui->labelWarning->setPixmap(style()->standardPixmap(QStyle::SP_MessageBoxWarning));

    connect(ui->pushButtonInfo, &QPushButton::clicked, this, &MainWindow::PushButtonInfo);
    connect(ui->pushButtonQuestion, &QPushButton::clicked, this, &MainWindow::PushButtonQuestion);
    connect(ui->pushButtonCritical, &QPushButton::clicked, this, &MainWindow::PushButtonCritical);
    connect(ui->pushButtonWarning, &QPushButton::clicked, this, &MainWindow::PushButtonWarning);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::PushButtonInfo()
{
    QMessageBox msgBox;
    msgBox.setText("Info");
    msgBox.setIcon(QMessageBox::Information);
    msgBox.exec();
}

void MainWindow::PushButtonWarning()
{
    QMessageBox msgBox;
    msgBox.setText("Warning");
    msgBox.setIcon(QMessageBox::Warning);
    msgBox.exec();
}

void MainWindow::PushButtonCritical()
{
    QMessageBox msgBox;
    msgBox.setText("Critical");
    msgBox.setIcon(QMessageBox::Critical);
    msgBox.exec();
}

void MainWindow::PushButtonQuestion()
{
    QMessageBox msgBox;
    msgBox.setText("Question");
    msgBox.setIcon(QMessageBox::Question);
    msgBox.exec();
}

